<?php
/**
 * escn-admin.php
 *
 * @package Electric Studio Cookie Notice
 */

// Run a quick check to see if we are logged into the admin panel.
if( is_admin() ) {
	
	// Include the class that creates the admin fields
	require_once( ESCN_PLUGIN_PATH . 'admin/classes/admin.class.php' );
	
	// Create the array that stores the individual settings page information.
	$admin_pages = array();

	// Set up a new settings page as an array part.
	$admin_pages['escn_options'] = array(
		'page_title' => 'Electric Studio Cookie Notice Options',
		'menu_title' => 'Electric Studio Cookie Notice Options',
		'capability' => 'manage_options',
		'menu_slug' => 'escn_plugin_options',
		'settings_section' => 'escn_plugin_options_section',
		'settings_name' => escn_config( 'settings_name' ),
		'settings_desc' => 'Below are the options for customising the look and content of the Electric Studio Cookie Notice plugin.<br /><br />If you have any questions regarding the usage of the plugin please <a href="http://www.electricstudio.co.uk/?p=1539">visit our website</a>',
		'fields' => array(
			// New textbox
			array(
				'type' => 'textbox',
				'name' => 'escn_title',
				'title' => '<strong>Cookie Notice Title</strong>',
				'std' => escn_config( 'title' )
			),
			// New WYSIWYG
			array(
				'type' => 'wysiwyg',
				'name' => 'escn_text',
				'title' => '<strong>Cookie Notice Text</strong>',
				'std' => escn_config( 'text' )
			),
			// New radio buttons
			array(
				'type' => 'radio',
				'name' => 'escn_include_stylesheet',
				'title' => '<strong>Include the default Cookie Notice stylesheet?</strong>',
				'options' => array(
					'Yes' => 'Y',
					'No' => 'N'
				),
				'std' => 'Y',
				'desc' => '<strong>Usage</strong>: Select "No" if you are going to style up the box to match you\'re site.'
			),
			// New WYSIWYG
			array(
				'type' => 'list_pages',
				'name' => 'escn_page',
				'title' => '<strong>Cookie Notice Page Link</strong>',
				'desc' => '<strong>Usage</strong>: Select the page you want the "Find out more" link to redirect to.<br /><strong>Default</strong>: If you don\'t select a page no link will appear.'
			)
		)
	);

	// Run a quick check to see if the ES_Admin_Pages class has been included in the functions.
	if( class_exists( 'ES_Cookie_Notice_Admin_Pages' ) ) {
		// Loop through the array and pass the data to the ES_Admin_Pages class.
		foreach( $admin_pages as $admin_page ) {
			new ES_Cookie_Notice_Admin_Pages( $admin_page );
		}
	}
}