<?php
/**
 * escn-ajax.php
 *
 * @package Electric Studio Cookie Notice
 */

// Create the function that builds the markup for the AJAX request.
function escn_cookie_notice_markup () { ?>
	<?php
	// Check the nonce.
	check_ajax_referer( escn_config( 'nonce_name' ) );
	// Get any saved data.
	$options 	= get_option( escn_config( 'settings_name' ) );
	$title 		= trim( $options['escn_title'] );
	$text 		= trim( $options['escn_text'] );
	$link 		= trim( $options['escn_page'] );
	?>
		<div class="escn-inner clearfix">
			<div class="escn-title">
				<h2><?php
				// Check to see if a new title has been uploaded.
				if( !empty( $title ) ) {
					printf( '%s', $title );
				}
				// If not, default to the escn_config( 'title' ) part.
				else {
					printf( '%s', escn_config( 'title' ) );
				} ?></h2>
			</div>
			<div class="escn-text">
				<?php
				// Check to see if any text has been uploaded.
				if( !empty( $text ) ) {
					printf( '%s', wpautop( $text ) );
				}
				// If not, default to the escn_config( 'text' ) part.
				else {
					printf( '%s', wpautop( escn_config( 'text' ) ) );
				} ?>
			</div>
			<div class="escn-links">
				<a href="#" id="escn-continue"><span class="escn-icon continue"></span><?php printf( '%s', 'Continue' ); ?></a>
				<?php if( !empty( $link ) && is_numeric( $link ) ) { ?>
					<a href="<?php echo get_permalink( $link ); ?>" title="<?php printf( '%s', 'Find out more' );?>" target="_blank"><span class="escn-icon info"></span><?php printf( '%s', 'Find out more' );?></a>
				<?php } ?>
			</div>
		</div>
	<?php
	// Lets exit the function.
	die();
}

if( is_admin() )
	add_action( 'wp_ajax_escn_cookie_notice', 'escn_cookie_notice_markup' );
add_action( 'wp_ajax_nopriv_escn_cookie_notice', 'escn_cookie_notice_markup' );